<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" 
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="formBandejaPlazas">

            <h:outputText value="RH -> Plazas" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Administración de Plazas" />
            <br/>
            <h:panelGrid id="busquedaPanelGridId" 
                         columns="4"
                         columnClasses="centered5,centered6,centered5,centered6"
                         cellpadding="5"
                         style="padding-left: 200px">

                <p:column>
                    <h:outputText value="Ejercicio Fiscal: " style="font-weight: bold"/>
                </p:column>  
                <p:column>
                    <p:selectOneMenu id="cmbEjercicioFiscal" 
                                     autoWidth="false"
                                     style="width:150px"
                                     styleClass="selectOneMenu" 
                                     converter="entityConverter"
                                     filter="true"
                                     filterMatchMode="contains"
                                     value="#{bandejaPlazaMB.ejercicioSelected}">
                        <f:selectItem 
                            itemLabel="Elegir un Ejercicio..." />
                        <f:selectItems
                            value="#{bandejaPlazaMB.lstEjercicio}"
                            var="ejercicioFiscal"
                            itemLabel="#{ejercicioFiscal.valor}"
                            itemValue="#{ejercicioFiscal}" />
                    </p:selectOneMenu>
                </p:column>   

                <p:column>
                    <h:outputText value="Tipo Nombramiento: " style="font-weight: bold"/>
                </p:column>                                                

                <p:column>
                    <p:selectOneMenu id="cmbTipoNombramiento" 
                                     autoWidth="false"
                                     style="width:185px"
                                     styleClass="selectOneMenu" 
                                     converter="entityConverter"
                                     filter="true"
                                     filterMatchMode="contains"                                     
                                     value="#{bandejaPlazaMB.tipoNombramientoSelected}">
                        <f:selectItem 
                            itemLabel="Elegir un Tipo Nombramiento..." />
                        <f:selectItems
                            value="#{bandejaPlazaMB.lstTipoNombramiento}"
                            var="tipoNombramiento"
                            itemLabel="#{tipoNombramiento.descripcion}"
                            itemValue="#{tipoNombramiento}" />
                    </p:selectOneMenu>
                </p:column>  

                <p:column>
                    <h:outputText value="Estatus: " style="font-weight: bold"/>
                </p:column>  
                <p:column>
                    <p:selectOneMenu id="cmbEstatus" 
                                     autoWidth="false"
                                     style="width:150px"
                                     styleClass="selectOneMenu" 
                                     converter="entityConverter"
                                     filter="true"
                                     filterMatchMode="contains"                                     
                                     value="#{bandejaPlazaMB.estatusPlazaSelected}">
                        <f:selectItem  
                            itemLabel="Elegir un Estatus..." />
                        <f:selectItems
                            value="#{bandejaPlazaMB.lstEstatusPlaza}"
                            var="estatus"
                            itemLabel="#{estatus.descripcion}"
                            itemValue="#{estatus}" />
                    </p:selectOneMenu>
                </p:column>        



                <p:column>
                    <h:outputText value="Numero de Plaza: " style="font-weight: bold"/>
                </p:column>                                                
                <p:column>
                    <p:inputText id="numeroPlazaInput" 
                                 value="#{bandejaPlazaMB.numsPlaza}"
                                    immediate="true"
                                    size="25"
                                    validatorMessage="Ingrese los números de plaza separados por (,)"
                                    >
                        <f:validateRegex pattern="^[0-9,]+[0-9]+$" disabled="#{bandejaPlazaMB.numsPlaza == null or bandejaPlazaMB.numsPlaza eq ''  }"/>
                    </p:inputText>
                </p:column>    

                <p:column>    
                    <h:outputText value="Semáforo: " style="font-weight: bold"/>
                </p:column>    
                    <p:selectOneMenu id="cmbSemaforo" 
                                     autoWidth="false"
                                     style="width:150px"
                                     styleClass="selectOneMenu" 
                                     converter="entityConverter"
                                     value="#{bandejaPlazaMB.semaforo}">
                        <f:selectItem  
                            itemLabel="Elegir semáforo..." 
                            noSelectionOption="true" />
                        <f:selectItem
                            itemLabel="Verde"
                            itemValue="1" />
                        <f:selectItem
                            itemLabel="Amarillo"
                            itemValue="2" />
                        <f:selectItem
                            itemLabel="Rojo"
                            itemValue="3" />
                    </p:selectOneMenu>
                <p:column>    
                    <h:outputText value="Puesto: " style="font-weight: bold"/>
                </p:column>
                <p:column>    
                    <p:autoComplete 
                        id="acPuesto"
                        value="#{bandejaPlazaMB.puestoSelected}"                                    
                        maxResults="6"
                        completeMethod="#{bandejaPlazaMB.completePuesto}"
                        var="puesto" 
                        minQueryLength="1"                                     
                        itemLabel="#{puesto.descripcion}"
                        itemValue="#{puesto}" 
                        converter="entityConverter" 
                        size="25"
                        forceSelection="true"
                        >
                    </p:autoComplete>
                </p:column>
                
            </h:panelGrid>
            <h:panelGrid id="busquedaPanelGridId2" 
                         columns="3"
                         columnClasses="centered5,centered6,centered5"
                         cellpadding="5"
                         style="padding-left: 200px">
                <p:column>
                    <h:outputText value="Adscripción: " style="font-weight: bold;" />
                </p:column>                                                

                <p:column>
                    <p:selectOneMenu id="cmbAdscripcion" 
                                     autoWidth="false"
                                     style="width:310px;"
                                     styleClass="selectOneMenu" 
                                     converter="entityConverter"
                                     filter="true"
                                     filterMatchMode="contains"
                                     value="#{bandejaPlazaMB.rhNomnAdscripcionesSelected}">
                        <f:selectItem 
                            itemLabel="Elegir una Adscripción..."/>
                        <f:selectItems
                            value="#{bandejaPlazaMB.lstRhNomnAdscripciones}"
                            var="adscripcion"
                            itemLabel="#{adscripcion.claveAdscripcion} - #{adscripcion.descripcion} "
                            itemValue="#{adscripcion}" />
                    </p:selectOneMenu>
                </p:column>   

                <p:column>
                    <div align="right" style="width: 215px;">
                        <p:commandButton value="Buscar" 
                                         style="width: 100px"                                         
                                         action="#{bandejaPlazaMB.buscaPlazasFiltro()}" 
                                         update="tablePlazas" >

                            <p:ajax oncomplete="inicio();" 
                                    onsuccess="inicio();"
                                    process="busquedaPanelGridId, busquedaPanelGridId2"
                                    update="tablePlazas"
                                    resetValues="false" />

                        </p:commandButton>

                        <p:commandButton value="Limpiar" 
                                         id="btnLimpiar"
                                         style="width: 100px; margin-left: 2px;"                                         
                                         action="#{bandejaPlazaMB.limpiarFiltro()}" 
                                         update="formBandejaPlazas" 
                                         process="btnLimpiar"
                                         ajax="true"
                                         />
                    </div>
                </p:column>
            </h:panelGrid>

            <p:dialog header="Modificar Vigencia de la Plaza" 
                      widgetVar="dlg2" 
                      modal="true" 
                      height="100">

                <h:outputText value="Plaza" />
                <h:outputText value="fecha Actual" />
                <h:outputText value="nueva Fecha" />

            </p:dialog> 

            <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10" style="width: 100%">
                <p:dataTable id="tablePlazas" 
                             var="plazaTable" 
                             lazy="true" paginator="true" 
                             rowKey="#{plazaTable.idPlaza}"
                             value="#{bandejaPlazaMB.lstPlazaTO}"
                             rows="10"
                             styleClass="tablePlazas"
                             scrollable="true" scrollWidth="99%"
                             rowsPerPageTemplate="5,10,15"
                             paginatorTemplate=" {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                             currentPageReportTemplate="Mostrando registros del {startRecord} al {endRecord} de  {totalRecords} Plazas"
                             paginatorPosition="bottom"
                             emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                             onExpandStart="inicio()">

                    <f:facet name="header">
                        Plazas

                        <p:commandButton id="btnAgregarPlaza" 
                                         styleClass="botonpequeno"
                                         action="#{bandejaPlazaMB.agregarPlaza}"
                                         title="Agregar una Plaza Nueva"
                                         icon="ui-icon-plusthick"
                                         style="display:inline; float:right; font-size:x-small;" />

                    </f:facet>

                    <p:column headerText="Numero Plaza"
                              style="width: 7%; font-size:small; text-align: center;" >

                        <h:outputText value="#{plazaTable.numeroPlaza}" />

                    </p:column>

                    <p:column headerText="Semáforo" 
                              style="width: 8%; font-size:small; text-align: center;" 
                              >

                        <h:graphicImage id="imgSemaforo"
                                        value="/resources/images/#{bandejaPlazaMB.calculaSemaforo(plazaTable)}.png"
                                        alt="20" 
                                        width="20"
                                        />
                        <p:tooltip id="toolTipSemaforo" 
                                   for="imgSemaforo"
                                   value="#{bandejaPlazaMB.calculaDiasRestantes(plazaTable)}"
                                   showEffect="clip" 
                                   hideEffect="fold" />
                    </p:column>

                    <p:column headerText="Unidad Administrativa" 
                              style="width:20%; font-size:small;" >

                        <h:outputText value="#{plazaTable.rhNomnAdscripcionesTO.detalleunidadAdm.descripcion}" />

                    </p:column>

                    <p:column headerText="Nivel Tabular" 
                              style="width:8%; font-size:small;" >

                        <h:outputText value="#{plazaTable.rhNomnTabuladoresTO.strClaveTabulador}" />

                    </p:column>

                    <p:column headerText="Puesto" 
                              style="width:20%; font-size:small;" >                          

                        <h:outputText value="#{plazaTable.puestoTO.descripcion}" />

                    </p:column>

                    <p:column headerText="Estatus" 
                              style="width:10%; font-size:small;" >

                        <h:outputText value="#{plazaTable.estatusPlazaTO.descripcion}" />

                    </p:column>

                    <p:column headerText="Tipo Nombramiento" 
                              style="width:15%; font-size:small; text-align: center;" >

                        <h:outputText value="#{plazaTable.tipoNombramientoTO.descripcion}" />

                    </p:column>

                    <p:column headerText="Vigencia" 
                              style="width:10%; font-size:small;" >                          

                        <h:outputText value="#{plazaTable.vigenciaFinal}" >

                            <f:convertDateTime type="date" 
                                               pattern="dd/MM/yyyy"/>                        
                        </h:outputText>

                    </p:column>

                    <p:column headerText="Acciones" 
                              style=" font-size:small;width: 15%">

                        <p:splitButton value="Administrar"  >
                            <p:menuitem value="Detalle" actionListener="#{bandejaPlazaMB.abreAccion(plazaTable, 'PlazaDetalle')}"  />
                            <p:menuitem value="Editar" actionListener="#{bandejaPlazaMB.abreAccion(plazaTable, 'plazaEdit')}" rendered="#{bandejaPlazaMB.validaEditar(plazaTable)}"  />
                            <p:menuitem value="Eliminar" 
                                        actionListener="#{bandejaPlazaMB.eliminarPlaza(plazaTable)}"  
                                        rendered="#{plazaTable.numMovimientos == 0  and plazaTable.estatusPlazaTO.idEstatusPlaza == 1 and plazaTable.idPlazaTOPadre == null}" 
                                        update="tablePlazas"
                                        >
                                <p:confirm header="Confirmación" message="¿Desea eliminar la plaza?" />
                            </p:menuitem>
                            <p:menuitem value="Dividir" actionListener="#{bandejaPlazaMB.abreAccion(plazaTable, 'PlazaDivision')}"  rendered="#{bandejaPlazaMB.validaDividir(plazaTable)}" />
                            <p:menuitem value="Revertir" actionListener="#{bandejaPlazaMB.abreAccion(plazaTable, 'plazaReversa')}"  rendered="#{plazaTable.numMovimientos == 0  and plazaTable.estatusPlazaTO.idEstatusPlaza == 3}" />
                            <p:menuitem value="Histórico" actionListener="#{bandejaPlazaMB.abreAccion(plazaTable, 'plazaHistorico')}"  />
                        </p:splitButton>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>
        </h:form>

        <h:form>
            <p:confirmDialog appendTo="@(body)" global="true" style="width: 450px;" closable="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes"  />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" />
            </p:confirmDialog>
        </h:form>



        <script>

            $(".ui-datalist-data.ui-datalist-nobullets").parent().removeClass('ui-widget-content');
            $(".ui-datalist-data.ui-datalist-nobullets").css('padding-left', '0px');

            function inicio() {
                $(':input[class="ui-inputfield ui-widget ui-state-default ui-corner-all hasDatepicker"]').css("width",
                        "90px");

                $(':input[class="hasDatepicker"]').css("width", "90px");

                $("ui-datalist-data").parent().removeClass('ui-widget-content');
                $("ui-datalist-data").css('padding-left', '0px');

                $(".ui-datalist-data.ui-datalist-nobullets").parent().removeClass('ui-widget-content');
                $(".ui-datalist-data.ui-datalist-nobullets").css('padding-left', '0px');
            }

            $(document).ready(function () {

                inicio();
                desactivaBotonoes();

            });

            //se va a mandar a llamar cada qeu aprieten uno de los tres botonos
            //solo un boton puede estar activo
            function changeClass(elClass) {
                var classActual = elClass;//input checked value
                desactivaBotonoes();
                if ("rojo" === classActual.value) {

                    $(':input[value="rojo"]').parent().addClass("activeRed");

                    //$(':input[value="rojo"]').parent().css("background-color", "#804040");
                    //$(':input[value="rojo"]').parent().css("background", "#804040");
                    $(':input[value="rojo"]').parent().css("border-left", "1px");
                    $(':input[value="rojo"]').parent().css("border-bottom", "1px");
                    $(':input[value="rojo"]').next().addClass('fa');
                    $(':input[value="rojo"]').next().addClass('fa2');
                    $(':input[value="rojo"]').next().addClass('fa-check');
                    $(':input[value="rojo"]').next().css('margin-left', '-8px');
                    $(':input[value="rojo"]').next().css('margin-top', '0px');
                    $(':input[value="rojo"]').next().css('color', '#FFFFFF');
                    $(':input[value="rojo"]').next().css('display', 'table');

                    //desactiva amarillo
                    $(':input[value="amarillo"]').parent().css("background-color", "yellow");
                    $(':input[value="amarillo"]').parent().css("background", "yellow");
                    $(':input[value="amarillo"]').parent().css("border-left", "0px");
                    $(':input[value="amarillo"]').parent().css("border-bottom", "0px");
                    $(':input[value="amarillo"]').next().removeClass('fa');
                    $(':input[value="amarillo"]').next().removeClass('fa2');
                    $(':input[value="amarillo"]').next().removeClass('fa-check');
                    //desactiva verde
                    $(':input[value="verde"]').parent().css("background-color", "green");
                    $(':input[value="verde"]').parent().css("background", "green");
                    $(':input[value="verde"]').parent().css("border-left", "0px");
                    $(':input[value="verde"]').parent().css("border-bottom", "0px");
                    $(':input[value="verde"]').next().removeClass('fa');
                    $(':input[value="verde"]').next().removeClass('fa2');
                    $(':input[value="verde"]').next().removeClass('fa-check');

                    //         		}
                }
                if ("verde" === classActual.value) {
                    // 				if(!classActual.checked){//se valida si se apretó estando activo

                    $(':input[value="verde"]').parent().addClass("activeGreen");

                    //activa verde
                    $(':input[value="verde"]').parent().css("background-color", "#008040");
                    $(':input[value="verde"]').parent().css("background", "#008040");
                    $(':input[value="verde"]').parent().css("border-left", "1px");
                    $(':input[value="verde"]').parent().css("border-bottom", "1px");


                    $(':input[value="verde"]').next().addClass('fa');
                    $(':input[value="verde"]').next().addClass('fa2');
                    $(':input[value="verde"]').next().addClass('fa-check');
                    $(':input[value="verde"]').next().css('margin-left', '-8px');
                    $(':input[value="verde"]').next().css('margin-top', '0px');
                    $(':input[value="verde"]').next().css('color', '#FFFFFF');
                    $(':input[value="verde"]').next().css('display', 'table');


                    //desactivaRojo
                    $(':input[value="rojo"]').parent().css("background-color", "red");
                    $(':input[value="rojo"]').parent().css("background", "red");
                    $(':input[value="rojo"]').parent().css("border-left", "0px");
                    $(':input[value="rojo"]').parent().css("border-bottom", "0px");
                    $(':input[value="rojo"]').next().removeClass('fa');
                    $(':input[value="rojo"]').next().removeClass('fa2');
                    $(':input[value="rojo"]').next().removeClass('fa-check');
                    //desactiva amarillo
                    $(':input[value="amarillo"]').parent().css("background-color", "yellow");
                    $(':input[value="amarillo"]').parent().css("background", "yellow");
                    $(':input[value="amarillo"]').parent().css("border-left", "0px");
                    $(':input[value="amarillo"]').parent().css("border-bottom", "0px");
                    $(':input[value="amarillo"]').next().removeClass('fa');
                    $(':input[value="amarillo"]').next().removeClass('fa2');
                    $(':input[value="amarillo"]').next().removeClass('fa-check');

                    //         		}
                }
                if ("amarillo" === classActual.value) {
                    // 				if(!classActual.checked){//se valida si se apretó estando activo

                    $(':input[value="amarillo"]').parent().addClass("activeYellow");
                    $(':input[value="amarillo"]').parent().css("background-color", "#ffff80");
                    $(':input[value="amarillo"]').parent().css("background", "#ffff80");
                    $(':input[value="amarillo"]').parent().css("border-left", "1px");
                    $(':input[value="amarillo"]').parent().css("border-bottom", "1px");
                    $(':input[value="amarillo"]').next().addClass('fa');
                    $(':input[value="amarillo"]').next().addClass('fa2');
                    $(':input[value="amarillo"]').next().addClass('fa-check');
                    $(':input[value="amarillo"]').next().css('margin-left', '-8px');
                    $(':input[value="amarillo"]').next().css('margin-top', '0px');
                    $(':input[value="amarillo"]').next().css('color', '#000000');
                    $(':input[value="amarillo"]').next().css('display', 'table');

                    //desactiva verde
                    $(':input[value="verde"]').parent().css("background-color", "green");
                    $(':input[value="verde"]').parent().css("background", "green");
                    $(':input[value="verde"]').parent().css("border-left", "0px");
                    $(':input[value="verde"]').parent().css("border-bottom", "0px");
                    $(':input[value="verde"]').next().removeClass('fa');
                    $(':input[value="verde"]').next().removeClass('fa2');
                    $(':input[value="verde"]').next().removeClass('fa-check');
                    //desactivaRojo
                    $(':input[value="rojo"]').parent().css("background-color", "red");
                    $(':input[value="rojo"]').parent().css("background", "red");
                    $(':input[value="rojo"]').parent().css("border-left", "0px");
                    $(':input[value="rojo"]').parent().css("border-bottom", "0px");
                    $(':input[value="rojo"]').next().removeClass('fa');
                    $(':input[value="rojo"]').next().removeClass('fa2');
                    $(':input[value="rojo"]').next().removeClass('fa-check');
                    //         		}
                }

            }

            function desactivaBotonoes() {
                $(':input[value="rojo"]').parent().removeClass("activeGreen");
                $(':input[value="verde"]').parent().removeClass("activeGreen");
                $(':input[value="amarillo"]').parent().removeClass("activeYellow");

                $(':input[value="verde"]').parent().addClass("inactiveGreen");
                $(':input[value="amarillo"]').parent().addClass("inactiveYellow");
                $(':input[value="rojo"]').parent().addClass("inactiveRed");

                //Set red background for the options
                $(':input[value="rojo"]').parent().css("background-color", "red");//: 
                $(':input[value="verde"]').parent().css("background-color", "green");
                $(':input[value="amarillo"]').parent().css("background", "yellow");
                $(':input[value="rojo"]').parent().css("background", "red");//background
                $(':input[value="verde"]').parent().css("background", "green");
                $(':input[value="amarillo"]').parent().css("background", "yellow");

                //             se da estilo al boton

                $(':input[value="rojo"]').parent().css("border", "0px");//background
                $(':input[value="verde"]').parent().css("border", "0px");
                $(':input[value="amarillo"]').parent().css("border", "0px");

                /*{cornerRadius}; */
                $(':input[value="rojo"]').parent().css("-webkit-border-top-left-radius", "15px");
                $(':input[value="verde"]').parent().css("-webkit-border-top-left-radius", "15px");
                $(':input[value="amarillo"]').parent().css("-webkit-border-top-left-radius", "15px");
                $(':input[value="rojo"]').parent().css("border-top-left-radius", "15px");
                $(':input[value="verde"]').parent().css("border-top-left-radius", "15px");
                $(':input[value="amarillo"]').parent().css("border-top-left-radius", "15px");

                $(':input[value="rojo"]').parent().css("-webkit-border-bottom-left-radius", "15px");
                $(':input[value="verde"]').parent().css("-webkit-border-bottom-left-radius", "15px");
                $(':input[value="amarillo"]').parent().css("-webkit-border-bottom-left-radius", "15px");
                $(':input[value="rojo"]').parent().css("border-bottom-left-radius", "15px");
                $(':input[value="verde"]').parent().css("border-bottom-left-radius", "15px");
                $(':input[value="amarillo"]').parent().css("border-bottom-left-radius", "15px");

                $(':input[value="rojo"]').parent().css("-webkit-border-top-right-radius", "15px");
                $(':input[value="verde"]').parent().css("-webkit-border-top-right-radius", "15px");
                $(':input[value="amarillo"]').parent().css("-webkit-border-top-right-radius", "15px");
                $(':input[value="rojo"]').parent().css("border-top-right-radius", "15px");
                $(':input[value="verde"]').parent().css("border-top-right-radius", "15px");
                $(':input[value="amarillo"]').parent().css("border-top-right-radius", "15px");

                $(':input[value="rojo"]').parent().css("-webkit-border-bottom-right-radius", "15px");
                $(':input[value="verde"]').parent().css("-webkit-border-bottom-right-radius", "15px");
                $(':input[value="amarillo"]').parent().css("-webkit-border-bottom-right-radius", "15px");
                $(':input[value="rojo"]').parent().css("border-bottom-right-radius", "15px");
                $(':input[value="verde"]').parent().css("border-bottom-right-radius", "15px");
                $(':input[value="amarillo"]').parent().css("border-bottom-right-radius", "15px");

                $(':input[value="rojo"]').parent().css("height", "25px");
                $(':input[value="verde"]').parent().css("height", "25px");
                $(':input[value="amarillo"]').parent().css("height", "25px");

                $(':input[value="rojo"]').parent().css("width", "25px");
                $(':input[value="verde"]').parent().css("width", "25px");
                $(':input[value="amarillo"]').parent().css("width", "25px");

                $(':input[value="rojo"]').parent().css("margin-left", "25px");
                $(':input[value="verde"]').parent().css("margin-left", "25px");
                $(':input[value="amarillo"]').parent().css("margin-left", "25px");

            }
        </script>
        <style type="text/css">

            .activeGreen{
                background-color:#008040;
                background:#008040;
                border-left:1px;
                border-bottom:1px;
                height:22px;
                width:22px;
                -webkit-border-top-left-radius:15px;
                border-top-left-radius:15px;

                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;


                margin-left:22px;
            }

            .activeYellow{

                background-color:#ffff80;
                background:#ffff80;
                border-left:1px;
                border-bottom:1px;
                -webkit-border-top-left-radius:15px;
                border-top-left-radius:15px;

                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;
                height:22px;
                width:22px;

                margin-left:22px;

            }

            .activeRed{
                background-color:#804040;
                background:#804040;
                border-left:1px;
                border-bottom:1px;
                -webkit-border-top-left-radius:15px;
                border-top-left-radius:15px;
                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;
                height:22px;
                width:22px;

                margin-left:22px;
            }


            .inactiveGreen{
                background-color:green;
                background:green;
                border:0px;
                -webkit-border-top-left-radius:15px;
                border-top-left-radius:15px;
                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;
                height:25px;
                width:25px;

                margin-left:22px;
            }

            .inactiveYellow{
                background-color:yellow;
                background:yellow;
                border:0px;
                -webkit-border-top-left-radius:15px;
                border-top-left-radius:15px;
                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;
                height:25px;
                width:25px;

                margin-left:22px;
            }

            .inactiveRed{
                background-color:red;
                background:red;
                border:0px;
                -webkit-border-top-left-radius:15px;
                -webkit-border-top-left-radius:15px;
                -webkit-border-bottom-left-radius:15px;
                border-bottom-left-radius:15px;

                -webkit-border-top-right-radius:15px;
                border-top-right-radius:15px;

                -webkit-border-bottom-right-radius:15px;
                border-bottom-right-radius:15px;
                height:25px;
                width:25px;

                margin-left:22px;
            }

            .panelNoBorder, .panelNoBorder tr, .panelNoBorder td{
                border: hidden;
                border-color: white;
            }
        </style>
    </ui:define>

</ui:composition>
